DCKEY(1)

NAME
dckey - ACR/NEMA DICOM PS3 ... Extract attribute values

SYNOPSIS

dckey [ -ignorereaderrors ] [ -v|verbose ] [ -filename ] [ -describe ] [ -brief ] [ -d|decimal ] [ -key|k elementname|(0xgggg,0xeeee) ] ...

DESCRIPTION

dckey reads the named dicom input file and displays the values of the selected attributes.

Binary attributes are written in hexadecimal with a preceding "0x" and numeric string attributes are written in decimal as they are encoded, unless the -decimal option is specified.

OPTIONS
The attribute values, description and verbose output go to standard error.

The basic input switches are described in dcintro(1). Options specific to this program are:

-describe
    Display the tag, name, value representation and value length of the attribute.

-brief
    Display the keyword of the attribute, and equals sign, and then the value, for use in scripts that automatically extract multiple values in the same dckey invocation. Implies -noerror.

-ignorereaderrors
    Attempt to extract key values even if errors encountered whilst parsing DICOM file.

-noerror
    Do not report an error if the requested attribute was not found, just an empty value or line. Implied by -brief.

-d|decimal
    Display the first (or only) value of a numeric attribute as a decimal value.

-k|key  elementname|(0xgggg,0xeeee)
    Add a key to the list of attributes to be extracted. The attribute may also be specified as a hexadecimal pair of the form (0xgggg,0xeeee), which also allows private attributes to be fetched.

-filename
    Show the name of the file supplied in the arguments; a hyphen will be reported if no filename was supplied.

ENVIRONMENT

EXAMPLES

% dckey -key Rows -key Columns -key ImageLocation
        -describe test.dc3
(0x0028,0x0010) US Rows VR=<US> VL=<0x0002> [0x0100]
(0x0028,0x0011) US Columns VR=<US> VL=<0x0002> [0x0100]
Error - Not found - (0x0028,0x0200) US Image Location
% dckey -k Rows -k ImagePositionPatient
      -k StudyDate -k StudyTime
      -k SOPClassUID test.dc3
1.2.840.10008.5.1.4.1.1.2
1996.04.17
19:38:00
45.000000\-120.000000\120.000000
0x0200
% dckey -d -k Rows test.dc3
512
% dckey -brief -k Rows -k Columns test.dc3
Rows=0x200
Columns=0x200

FILES

SEE ALSO
dcintro(1),dctable(1)

AUTHOR
Copyright (C) 1993-2010. David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS

Attempts to extract sequences or OB,OW attributes may fail nastily.

The order in which the attributes are extracted and written is not the same order as they are specified on the command line, and should not be depended on.

The -describe and other options cannot be used at the same time.

The -decimal option uses a double conversion before displaying the value and there may be sign extension and precision issues with some values.

The reading of the attributes from the DICOM file will not proceed past the top level Pixel Data attribute, in order to accelerate the speed of reading.